Bug 215953 - benchmarks/sipp: Makefile has wrong path to sipp.1 in Makefile
Summary: benchmarks/sipp: Makefile has wrong path to sipp.1 in Makefile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Babak Farrokhi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-10 22:43 UTC by Karsten Schmidt
Modified: 2017-01-23 08:27 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (farrokhi)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karsten Schmidt 2017-01-10 22:43:54 UTC
# make install
===>  Staging for sipp-3.5.1
===>   Generating temporary packing list
install  -s -m 555 /usr/ports/benchmarks/sipp/work/sipp-3.5.1/sipp /usr/ports/benchmarks/sipp/work/stage/usr/local/bin
install  -m 444 /usr/ports/benchmarks/sipp/work/sipp-3.5.1/sipp.1 /usr/ports/benchmarks/sipp/work/stage/usr/local/man/man1
install: /usr/ports/benchmarks/sipp/work/sipp-3.5.1/sipp.1: No such file or directory
*** Error code 71

Stop.
make[1]: stopped in /usr/ports/benchmarks/sipp
*** Error code 1

Stop.
make: stopped in /usr/ports/benchmarks/sipp


Changing the following in Makefile fixes it

-       ${INSTALL_MAN} ${WRKSRC}/sipp.1 ${STAGEDIR}${PREFIX}/man/man1
+       ${INSTALL_MAN} ${WRKSRC}/include/sipp.1 ${STAGEDIR}${PREFIX}/man/man1
Comment 1 Babak Farrokhi freebsd_committer 2017-01-11 08:06:33 UTC
Thanks for the report. This happened due to a missing build dependency (help2man).
I change request is now in review: https://reviews.freebsd.org/D9131
Comment 2 commit-hook freebsd_committer 2017-01-23 08:24:59 UTC
A commit references this bug:

Author: farrokhi
Date: Mon Jan 23 08:24:32 UTC 2017
New revision: 432205
URL: https://svnweb.freebsd.org/changeset/ports/432205

Log:
  Add missing build dependency for benchmarks/sipp

  PR:		215953
  Reported by:	Karsten Schmidt <bsd@guggemand.dk>
  Reviewed by:	bapt
  Approved by:	bapt
  Differential Revision:	https://reviews.freebsd.org/D9131

Changes:
  head/benchmarks/sipp/Makefile